stat.bwss {sma} | R Documentation

## Between and Within Group Sum of Squares Calculation

### Description

This function computes the between and within group sum of squares for each row of a matrix which may have NAs.

### Usage

    stat.bwss(x, cl)

### Arguments

`x` | a matrix, NAs allowed. In the microarray context, the rows of `X` could correspond to genes and the columns to different hybridizations.
`cl` | column labels, must be consecutive integers.

### Value

List containing the following components

`wn` | matrix with class sizes for each row of `X`;
`BW` | vector of BSS/WSS for each row of `X`;
`BSS` | between group sum of squares for each row of `X`;
`WSS` | within group sum of squares for each row of `X`;
`TSS` | total sum of squares for each row of `X`;
`tvar` | variance for each row of `X`.

### Author(s)

Sandrine Dudoit, sandrine@stat.berkeley.edu
Jane Fridlyand, janef@stat.berkeley.edu

### References

S. Dudoit, J. Fridlyand, and T. P. Speed. Comparison of Discrimination Methods for the Classification of Tumors Using Gene Expression Data. June 2000. (Statistics, UC Berkeley, Tech Report # 576).

### See Also

`var.na`, `var`, `apply`.

[Package sma version 0.5.14 Index]